Mailinglist Archive: opensuse-buildservice (138 mails)

< Previous Next >
[opensuse-buildservice] Scientific Linux specific SPEC file parts
Hi,


I was under the impression that the version macro
for Scientific Linux is 'scilin_version'.

So the following snippet was never working for me (postgresql-devel
was never installed):

..

%define scilin 0
%define scilin6 0
%if 0%{?scilin_version} >= 600 && 0%{?scilin_version} <= 699
%define dist scilin6
%define scilin 1
%define scilin6 1
%endif

..

%if %{rhel} || %{centos} || %{fedora} || %{scilin}
BuildRequires: postgresql-devel >= 8.4
Requires: postgresql-libs >= 8.4
%endif

It works for 'rhel_version', 'centos_version' and 'fedora_version'.

Can somebody confirm that 'scilin_version' is not set or
a different variable should be used?


Greetings

Andreas

--
Andreas Baumann
Trottenstrasse 20
CH-8037 Zuerich
Telefon: +41(0)76/373 01 29
E-mail: mail@xxxxxxxxxxxxxxxxx
Homepage: www.andreasbaumann.cc
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups